What are the chances? Adobe Lightroom V6 support in Mojave 10.14 ?

Discussion in 'macOS Mojave (10.14)' started by AlexMaximus, Sep 15, 2018.

  1. AlexMaximus macrumors 6502a

    AlexMaximus

    Joined:
    Aug 15, 2006
    Location:
    A400M Base
    #1
    Hi folks,

    I am just wondering if Adobe will continue Adobe Lightroom V6 in Mojave 10.14?
    Its the last stand alone single licence, before they changed all Adobe software to cloud based, service based software.
    I really hate that cloud staff and the constant monthly obedient slave payments. If they stopp driver support, I will freeze my system on High Sierra permanently.

    What do you think? Will there be one more support for LR in Mojave ?? What are the odds?
     
  2. nglevin macrumors member

    nglevin

    Joined:
    Jul 8, 2018
    #2
    It works well enough in the Mojave beta.

    There will be some trouble for Mojave + 1 with the dropping of 32 bit Intel support, as I think the slideshow module and the activation applications are either in part or entirely 32 bit. But when I turned off 32 bit app support in Mojave, the rest of Lightroom 6 worked just fine.

    So I suppose there might be an issue where... Lightroom 6 can be installed and activated in Mojave, and then the majority of Lightroom works for post-Mojave macOS. But otherwise, it's one of the better behaving non-Cloud Adobe apps, in my experience.
     
  3. AlexMaximus thread starter macrumors 6502a

    AlexMaximus

    Joined:
    Aug 15, 2006
    Location:
    A400M Base
    #3
    Thanks man! So at least for Mojave, I should be fine then.
     
  4. drkilmer macrumors newbie

    Joined:
    Dec 26, 2008
    #4
    So have you installed Mojave? Any update on the compatibility? Thanks!
     
  5. AlexMaximus thread starter macrumors 6502a

    AlexMaximus

    Joined:
    Aug 15, 2006
    Location:
    A400M Base
    #5
    Sorry Dr. -but I can't install Mojave at this time. I have to wait till Nvidia puts the new Webdriver package for 10.14 out there for my pimped up GTX980Ti. It will take some time. On top of that, I am still running on ElCapitan and High Sierra as well as Win7 on boot camp. This move to Mojave will require a firmware update and a complete move to the new file system AFS. I am not sure when to move. But I smell a big major pain coming my way if I switch to Mojave. For the time being, I remain where I am at. As long as all Apps do work the way they work I will not move. I figured that best way is to freeze my system on High Sierra for the next three years. -Then I will have one more OSX as a Headroom option in 2021 - if I really have to.
    If you are in a similar position like me on a tricked out 5.1, be very very careful what you do.
     
  6. Howard2k macrumors 68020

    Howard2k

    Joined:
    Mar 10, 2016
    #6
    I’m running it on Mojave. No problems with LR to date. Let me know if there’s something specific you’d like me to check.

    I did a clean install of Mojave and installed LR6. I haven’t updated the most recent patch (6.14?).
     
  7. DeadeyeM macrumors regular

    Joined:
    Jun 12, 2012
  8. drkilmer macrumors newbie

    Joined:
    Dec 26, 2008
    #8
    --- Post Merged, Oct 7, 2018 ---
    Thanks, Howard2k. I'm running Lightroom 6.12. Sounds like I'll probably be ok ... I'm no Lightroom power user but I do use it frequently.
     
  9. mofunk macrumors 68020

    mofunk

    Joined:
    Aug 26, 2009
    Location:
    Americas
    #9
    I'm about to update my Mac. Are you guys doing okay with LR 6 and Mohave?

    My problem is for some reason LR and Adobe for that matter will not update in my home. It gets hung up, and I've tried several times. I want to update OS X cause occasionally I get some hiccups with iOS 12 not syncing with my Mac. Its not a big thing, but if LR doesn't work then I will have a major problem.
     
  10. Howard2k macrumors 68020

    Howard2k

    Joined:
    Mar 10, 2016
    #10

    Running Mojave 10.14.0 and LR 6.0 and everything is running great. Which is part of the reason I haven't upgraded to 10.14.2 and LR 6.14. :D
     

Share This Page

9 September 15, 2018